Bug 11413 - add raid configuration to /etc/mdadm.conf
: add raid configuration to /etc/mdadm.conf
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-install2)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-07 22:10 by
Modified: 2007-05-01 19:15 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-07 22:10:59
Достаточно дёрнуть в /mnt/destination команду
mdadm --examine --scan >> /etc/mdadm.conf
(проверено руками в шелле на "ЗавершИнии установки", работает)

--- sbolshakov@, rider@, ldv@ in sisyphus@ ---
> > Попробовал наконец сам: qemu, два диска:
> > # fdisk -l /dev/hda
> > ...
> > /dev/hda1               1          16      128488+  82  Linux swap / Solaris
> > /dev/hda2              17          81      522112+  fd  Linux raid autodetect
> > /dev/hda3              82         130      393592+  fd  Linux raid autodetect
> > 
> > второй аналогично, raid1 /, затем raid0 /home.
> > lilo установилось, reboot, корень примонтировался из initrd, raid на
> > /home там же не поднялся, нет personality raid0. Затем, из rc.sysinit
> > на попытке найти /home упало -- mdadm.conf ожидаемо пустой.
> > Есть предложение всё ж заполнять его, если в системе наличествуют
> > рэйды, помимо / и не рассчитывать на то, что из initrd 'всё поднимется'.
> 
> Серёг, видимо это надо бросать в bugzilla!

Вместо со скриптом, который заполняет mdadm.conf
------- Comment #1 From 2007-04-07 22:19:07 -------
Если md нет, то вывод mdadm --examine --scan пуст.
Так что эту команду можно давать всегда когда установлен mdadm.

Повышаю severity, поскольку без этого можно легко получить незагружающуюся
систему.
------- Comment #2 From 2007-04-08 01:40:29 -------
Fixed in 0.4-alt1-10-g937ea55, please recheck.

http://git.altlinux.org/people/ldv/packages/?p=alterator-install2.git;a=commit;h=0.4-alt1-10-g937ea55
------- Comment #3 From 2007-04-08 20:50:45 -------
Эээ... стоп, откатились с 0.5 на 0.4?  Я-то сейчас у тебя fetch'ну да пособираю
по возможности... (спать клонит :)
------- Comment #4 From 2007-04-08 21:24:29 -------
Нет, просто на 0.5-alt1 Алексей тэг не поставил.
------- Comment #5 From 2007-04-09 00:42:32 -------
(In reply to comment #2)
> Fixed in 0.4-alt1-10-g937ea55, please recheck.
После сборки как 0.5-alt1.1, закатывания в дополнительный репо и
сборки/установки ISO, при формировании которого точно был взят alt1.1, в
/etc/mdadm.conf зеркальной установки ничего не дописано.

Чуть не купился на "перенаправление вывода в чруте", которое не в чруте
(>>"$conf"), копать дальше буду завтра уже, наверное.
------- Comment #6 From 2007-04-09 00:44:42 -------
Да, в /root/.install-log/install2.log:
savesettings: function save_mdadm done
------- Comment #7 From 2007-04-09 01:12:45 -------
Кажется, дошло: там используется exec_chroot, который >/dev/null'ит команду. 
Пробую с поправленным на run_chroot save_mdadm()...
------- Comment #8 From 2007-04-09 01:15:02 -------
0.4-alt1-12-gc7a74fe fixes that typo.
------- Comment #9 From 2007-04-09 01:51:29 -------
yep
------- Comment #10 From 2007-05-01 19:15:12 -------
Замечательно.

Чтоб не заводить новую багу на совсем мелочь: было бы неплохо добавить один \n в
atartup, чтобы при старте рейдов после (using mdadm) или подобного переводить
строку.  Иначе при нескольких md первая строчка на 80 колонках будет перенесена
и не выровнена с дальнейшими.

Как обычно, если баги скатились до эстетических -- значит, жить можно. :)